Skip to main content
GET
/
api
/
v1
/
org
/
clusters
/
imported
/
{cluster_id}
/
stacks
List Cluster Stacks Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://platform.ankra.app/api/v1/org/clusters/imported/{cluster_id}/stacks \
--header 'Authorization: Bearer <token>'
{
  "drafts": [],
  "pagination": {
    "page": 123,
    "page_size": 123,
    "total_count": 123,
    "total_pages": 123
  },
  "stacks": []
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

cluster_id
string<uuid4>
required

Query Parameters

page
integer | null
Required range: x >= 1
page_size
integer
default:25
Required range: 1 <= x <= 100
search
string | null

Response

Successful Response

drafts
ClusterStackDraft · object[]
pagination
StacksPagination · object | null
stacks
FrontendStack · object[]